Contact Endpoints
GET
Get contact endpoint by id (email or phone number).
ApiKeyAuthheader
Authorization<token>contactEndpointId*stringThe requested contact endpoint
application/json- response
data*|curl -X GET 'https://dev.dixa.io/v1/contact-endpoints/{contactEndpointId}' \ -H 'Authorization: <API token>'{}
"data": {}
"address": "some@email.com",
"senderOverride": "otheremail@mail.dk",
"name": "Special email flow",
"_type": "EmailEndpoint"
GET
List all available contact endpoints in an organization.
ApiKeyAuthheader
Authorization<token>_type?stringAn optional contact type can be specified to filter the contact endpoints. If not provided, all types are listed. Possible values: [EmailEndpoint, TelephonyEndpoint]
The list of available contact endpoints
application/json- response
data?array<|>curl -X GET 'https://dev.dixa.io/v1/contact-endpoints' \ -H 'Authorization: <API token>'{}
"data": []
{},
"number": "+4531434343",
"functionality": [],
"VoiceInbound",
"VoiceOutbound"
"name": "DK Sms",
"_type": "TelephonyEndpoint"
{}
"address": "some@email.com",
"senderOverride": "otheremail@mail.dk",
"name": "Special email flow",
"_type": "EmailEndpoint"